<?php
####################################################################
# Blog Version 2.1 - [08/04/2024]                                  #
# Module pour AdHoc CMS   Développé par JeanDenis                  #
# Site Web : https://adhoc.71site.fr/                              #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/ #
# Licence : GNU-GPL V3                                             #
####################################################################

empty($_POST['save']) ? $save = "" : $save = decode_gpc($_POST['save']);
	$cfg_blog = ReadCSVPairs(PATH_DAT."blog/config".DBEXT);
	include (PATH."modules/blog/lang/".USER_LANG."_txt_admin".INCEXT);

if ($save) {
	$cfg_blog['numcat'] = $_POST['numcat'];
	$cfg_blog['nbnews'] = $_POST['nbnews'];
	$cfg_blog['ordrechrono'] = $_POST['ordrechrono'];
	$cfg_blog['connex'] = $_POST['connex'];
	$cfg_blog['affauteur'] = $_POST['affauteur'];
	$cfg_blog['affdate'] = $_POST['affdate'];
	$cfg_blog['coum'] = $_POST['coum'];
	$cfg_blog['SouC'] = $_POST['SouC'];
	$cfg_blog['cible'] = $_POST['cible'];
	$cfg_blog['overflow'] = $_POST['overflow'];
	$cfg_blog['maxheight'] = $_POST['maxheight'];
	$meta_tit = empty($_POST['meta_tit']) ? array() : decode_gpc($_POST['meta_tit']);
	$meta_des = empty($_POST['meta_des']) ? array() : decode_gpc($_POST['meta_des']);
	$topmessage = empty($_POST['topmessage']) ? array() : decode_gpc($_POST['topmessage']);
	$info_prive = empty($_POST['info_prive']) ? array() : decode_gpc($_POST['info_prive']);
	foreach($meta_tit as $k=> $v) $cfg_blog['meta_tit_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($meta_des as $k=> $v) $cfg_blog['meta_des_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($topmessage as $k=> $v) $cfg_blog['topmessage_'.$k] = htmlspecialchars($v, ENT_QUOTES);
	foreach($info_prive as $k=> $v) $cfg_blog['info_prive_'.$k] = htmlspecialchars($v, ENT_QUOTES);

	WriteCSVPairs(PATH_DAT."blog/config".DBEXT, $cfg_blog);
}

// Variables
$msgTitle = $msg_pnl['module_title'];
$msgInfo = $msg_pnl['module_info'];
$breadcrumbs[] = array($msg_pnl['modules'], '?pg=modules');
$breadcrumbs[] = array('Blog', '');
$idlg = USER_LANG;
$choix = array('oui', 'non');
$typedate = array('S', 'C');
$creamoddate = array('crea', 'modif');
$typecible = array('_blank', '_top', '_self', '_parent');

// Fonction
function nettoyagenom($nom) { // nettoyage éventuel d'un titre
if ($nom[0] == '"' && substr($nom, -1) == '"') //test présence de guillemets au début ET à la fin
{$nom = substr($nom, 1, -1);} // ... les supprime le cas échéant
return $nom;
}

// Elaboration contenu de la liste de toutes les catégories
$comptenbcategories = count(file(PATH.'data/pages/list_'.$idlg.'.dbt')); // nombre de catégories dans la liste
$contenucategories = fopen(PATH.'data/pages/list_'.$idlg.'.dbt', 'r' ); // ouverture fichier et contenu de cette liste
for ($i=0; $i < $comptenbcategories ; $i++) {
	$lignenouvelle = fgets($contenucategories);
	$elem = explode(";", $lignenouvelle);
		for ($j=0; $j < 6;$j++) {
		$chaquecategorie [$i][$j] = $elem[$j]; // création variables [catégorie][élément]
		}
}
fclose($contenucategories); // fermeture fichier

include("include/hpage.inc");
?>

<form name="config" id="edit" action="panel.php?pg=blog" method="post">
<input type="hidden" name="save" value="1"/><br />

<div class="section"><!-- section info -->
	<div class="pnl w11">

<?php
echo '<p>'.$msg_pnl['info_longue'].'</p>';
?>

	</div>
</div><!-- fin section info -->

<div class="section"><!-- 1ère section -->
	<div class="pnl w11">

<?php
echo '<label class="w12">'.$msg_pnl['numcat'].'</label>';
echo '<select class="w12" name="numcat" class="field">';
for ($i=0;$i<$comptenbcategories;$i++) {
echo '<option value="'.$chaquecategorie [$i][0].'"';
if ($chaquecategorie [$i][0] == $cfg_blog['numcat']) echo ' selected';
echo '>'.$chaquecategorie [$i][0].' '.nettoyagenom($chaquecategorie [$i][3]).'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<label class="w34"><?php echo $msg_pnl['nbnews'];?></label>
<input class="w14" type="number" min="0" name="nbnews" value="<?php echo $cfg_blog['nbnews'];?>"/>
<p style="clear:both"></p>

<?php
echo '<label class="w34">'.$msg_pnl['ordrechrono'].'</label>';
echo '<select class="w14" name="ordrechrono" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_blog['ordrechrono']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34">'.$msg_pnl['connex'].'</label>';
echo '<select class="w14" name="connex" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_blog['connex']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin 1ère section -->



<div class="section"><!-- 2ème section -->
	<div class="pnl w11">

<?php
echo '<label class="w34">'.$msg_pnl['affauteur'].'</label>';
echo '<select class="w14" name="affauteur" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_blog['affauteur']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34">'.$msg_pnl['affdate'].'</label>';
echo '<select class="w14" name="affdate" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_blog['affdate']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34"> → → '.$msg_pnl['coum'].'</label>';
echo '<select class="w14" name="coum" class="field">';
for ($i=0;$i<count($creamoddate);$i++) {
echo '<option value="'.$creamoddate[$i].'"';
if ($creamoddate[$i] == $cfg_blog['coum']) echo ' selected';
echo '>'.$creamoddate[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34"> → → '.$msg_pnl['SouC'].'</label>';
echo '<select class="w14" name="SouC" class="field">';
for ($i=0;$i<count($typedate);$i++) {
echo '<option value="'.$typedate[$i].'"';
if ($typedate[$i] == $cfg_blog['SouC']) echo ' selected';
echo '>'.$typedate[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<?php
echo '<label class="w34">'.$msg_pnl['cible'].'</label>';
echo '<select class="w14" name="cible" class="field">';
for ($i=0;$i<count($typecible);$i++) {
echo '<option value="'.$typecible[$i].'"';
if ($typecible[$i] == $cfg_blog['cible']) echo ' selected';
echo '>'.$typecible[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

	</div>
</div><!-- fin 2ème section -->

<div class="section"><!-- 3ème section -->
	<div class="pnl w11">

<?php
echo '<label class="w34">'.$msg_pnl['overflow'].'</label>';
echo '<select class="w14" name="overflow" class="field">';
for ($i=0;$i<count($choix);$i++) {
echo '<option value="'.$choix[$i].'"';
if ($choix[$i] == $cfg_blog['overflow']) echo ' selected';
echo '>'.$choix[$i].'</option>';
}
echo '</select>';
?>
<p style="clear:both"></p>

<label class="w34"> → → <?php echo $msg_pnl['maxheight'];?></label>
<input class="w14" type="number" min="200" name="maxheight" value="<?php echo $cfg_blog['maxheight'];?>"/>
<p style="clear:both"></p>

	</div>
</div><!-- fin 3ème section -->

<?php
foreach ($langs as $l) {
	$flaglang = '<img src="'.PATH_LNK.'include/lang/'.$l.'/flag.png" style="width: 24px; height:16px;" alt="'.$langs[0].'" /> ';  
	echo '<div class="section"><!-- 4ème section '.$l.' -->
	<div class="pnl w11"><label class="w14">'.$flaglang.$msg_pnl['page_title'].'</label>
		'.'<input class="w34" type="text" name="meta_tit['.$l.']" value="'.$cfg_blog['meta_tit_'.$l].'">
		<label class="w14">'.$msg_pnl['description'].'</label>
		<input class="w34" type="text" name="meta_des['.$l.']" value="'.$cfg_blog['meta_des_'.$l].'">
		<label class="w14">'.$msg_pnl['info_prive'].'</label>
		<input class="w34" type="text" name="info_prive['.$l.']" value="'.$cfg_blog['info_prive_'.$l].'">
		<label class="w12">'.$msg_pnl['topmessage'].'</label>
		<input class="w12" type="text" name="topmessage['.$l.']" value="'.$cfg_blog['topmessage_'.$l].'">
	</div>
	</div><!-- fin 4ème section '.$l.' -->
	';
}
?>

</form>

<?php
$pnlfoot = '<div class="btn-group">
	<input type="submit" class="btn primary" value="'.$msg_pnl['save'].'" form="edit"><a href="panel.php?pg=blog" class="btn secondary">'.$msg_pub['abort'].'</a>
</div>
';
include("modules/blog/info".INCEXT);
?>

<p style="text-align:center"><img src="modules/blog/blog.png" alt="icon"/><br />
<b>Blog</b> Version : <?php echo $infoModule['version'].' - '.FormatDate($infoModule['date']);?><br />
<a href="https://adhoc.71site.fr" target="_blank">JeanDenis [https://adhoc.71site.fr]</a>
</p>
<p><br><br></p>